package org.securedroneid.android.data;

import org.securedroneid.android.bluetooth.OpenDroneIdParser;

public class Manifest extends MessageData{

    private int messageCount;
    private OpenDroneIdParser.Type[] messageTypes;

    public Manifest() {
        super();
    }

    public void setMessageTypes(OpenDroneIdParser.Type[] messageTypes) {
        this.messageTypes = messageTypes;
        this.messageCount = messageTypes.length;
    }

    public OpenDroneIdParser.Type[] getMessageTypes() {
        return messageTypes;
    }
    public String getMessageTypesAsString() {
        StringBuilder sb = new StringBuilder();
        String loopDelim = "";
        for(OpenDroneIdParser.Type type : messageTypes) {
            sb.append(loopDelim);
            sb.append(type.name());
            loopDelim = ", ";
        }
        return sb.toString();
    }

    public int getMessageCount() { return messageCount; }

}
